Subject: bug#9850: closed (bug#9850: git libtool 'make check' now fails [FIXED])

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Oct 2011 08:53:01 +0000

Your bug report

#9850: git libtool 'make check' now fails

which was filed against the libtool package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9850: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9850
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: bug#9850: git libtool 'make check' now fails [FIXED]
From: "Gary V. Vaughan" <[email-masked]>
To: Bob Friesenhahn <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Oct 2011 15:51:14 +0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Bob,

On 24 Oct 2011, at 00:16, Bob Friesenhahn wrote:
> As of today (2011-10-23) git libtool 'make check' now fails.
> 
> After doing '/home/bfriesen/src/gnu/libtool-head/configure; make ; make check' it seems that the script has a problem with finding the in-tree tests/testsuite.at (which does exist in the source tree). The problem appears to be a wrong include path provided to autom4te since tests/testsuite.at is relative to "/home/bfriesen/src/gnu/libtool-head", not "/home/bfriesen/src/gnu/libtool-head/tests".

Actually, it looks like this bug has been there for quite a long time, only until I applied my year-old patches from libtool-next to make the bootstrap process leaner, it was masked by the fact that the testsuite was prebuilt in $(srcdir)/tests before running configure.  Nice catch, thanks! :)

Anyway, fixed by the appended patch which I'll push as obvious presently.

> tests/sysroot.at -o '/home/bfriesen/src/gnu/libtool-head/tests/testsuite'
> autom4te: tests/testsuite.at: no such file or directory

tests: ensure VPATH autom4te search path can find autotests.

* Makefile.am (tests/testsuite): Passing only $(srcdir) include path
to autom4te is unable to find tests/package.m4, and passing only
$(srcdir)/tests breaks VPATH build searches for TESTSUITE_AT files,
which are relative to $(srcdir)... so we pass both!
Reported by Bob Friesenhahn <[email-masked]>

Signed-off-by: Gary V. Vaughan <[email-masked]>
---
 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index 6ed3de5..b8f1a70 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -628,7 +628,7 @@ INSTALLCHECK_ENVIRONMENT = \
 	tst_aclocaldir="$(aclocaldir)"
 
 $(testsuite): $(package_m4) $(TESTSUITE_AT) Makefile.am
-	$(AUTOTEST) -I '$(srcdir)/tests' $(TESTSUITE_AT) -o '$@'
+	$(AUTOTEST) -I '$(srcdir)' -I '$(srcdir)/tests' $(TESTSUITE_AT) -o '$@'
 
 $(package_m4): $(configure_ac) Makefile.am
 	{ \
-- 
1.7.7

Cheers,
-- 
Gary V. Vaughan (gary AT gnu DOT org)

Subject: git libtool 'make check' now fails
From: Bob Friesenhahn <[email-masked]>
To: Libtool Bugs List <[email-masked]>
Date: Sun, 23 Oct 2011 12:16:48 -0500 (CDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

As of today (2011-10-23) git libtool 'make check' now fails.

After doing '/home/bfriesen/src/gnu/libtool-head/configure; make ; 
make check' it seems that the script has a problem with finding the 
in-tree tests/testsuite.at (which does exist in the source tree). 
The problem appears to be a wrong include path provided to autom4te 
since tests/testsuite.at is relative to 
"/home/bfriesen/src/gnu/libtool-head", not 
"/home/bfriesen/src/gnu/libtool-head/tests".

PASS: tests/depdemo-shared-make.test
PASS: tests/depdemo-shared-exec.test
PASS: tests/depdemo-shared-inst.test
PASS: tests/depdemo-relink.test
PASS: tests/depdemo-shared-unst.test
====================
All 105 tests passed
(1 test was not run)
====================
gmake[4]: Leaving directory `/scratch/bfriesen/build/libtool-head'
{ \
   echo '# Signature of the current package.'; \
   echo 'm4_define([AT_PACKAGE_NAME],      [GNU Libtool])'; \
   echo 'm4_define([AT_PACKAGE_TARNAME],   [libtool])'; \
   echo 'm4_define([AT_PACKAGE_VERSION],   [2.4.3a])'; \
   echo 'm4_define([AT_PACKAGE_STRING],    [GNU Libtool 2.4.3a])'; \
   echo 'm4_define([AT_PACKAGE_BUGREPORT], [[email-masked]])'; \
   echo 'm4_define([AT_PACKAGE_URL],       [http://www.gnu.org/software/libtool/])'; \
} > '/home/bfriesen/src/gnu/libtool-head/tests/package.m4'
autom4te --language=autotest -I '/home/bfriesen/src/gnu/libtool-head/tests' tests/testsuite.at tests/getopt-m4sh.at tests/libtoolize.at tests/help.at tests/duplicate_members.at tests/duplicate_conv.at tests/duplicate_deps.at tests/flags.at tests/inherited_flags.at tests/convenience.at tests/link-order.at tests/link-order2.at tests/fail.at tests/shlibpath.at tests/runpath-in-lalib.at tests/static.at tests/export.at tests/search-path.at tests/indirect_deps.at tests/archive-in-archive.at tests/exeext.at tests/execute-mode.at tests/bindir.at tests/cwrapper.at tests/deplib-in-subdir.at tests/infer-tag.at tests/localization.at tests/nocase.at tests/install.at tests/versioning.at tests/destdir.at tests/old-m4-iface.at tests/am-subdir.at tests/lt_dlexit.at tests/lt_dladvise.at tests/lt_dlopen.at tests/lt_dlopen_a.at tests/lt_dlopenext.at tests/ltdl-libdir.at tests/ltdl-api.at tests/dlloader-api.at tests/loadlibrary.at tests/lalib-syntax.at tests/resident.at tests/slist.at tests/need!
 _lib_prefix.at tests/standalone.at tests/subproject.at tests/nonrecursive.at tests/recursive.at tests/template.at tests/ctor.at tests/exceptions.at tests/early-libtool.at tests/with-pic.at tests/no-executables.at tests/deplibs-ident.at tests/configure-iface.at tests/stresstest.at tests/cmdline_wrap.at tests/pic_flag.at tests/darwin.at tests/dumpbin-symbols.at tests/deplibs-mingw.at tests/sysroot.at -o '/home/bfriesen/src/gnu/libtool-head/tests/testsuite'
autom4te: tests/testsuite.at: no such file or directory
gmake[3]: *** [/home/bfriesen/src/gnu/libtool-head/tests/testsuite] Error 1
gmake[3]: Leaving directory `/scratch/bfriesen/build/libtool-head'
gmake[2]: *** [check-am] Error 2
gmake[2]: Leaving directory `/scratch/bfriesen/build/libtool-head'
gmake[1]: *** [check-recursive] Error 1
gmake[1]: Leaving directory `/scratch/bfriesen/build/libtool-head'
gmake: *** [check] Error 2
-- 
Bob Friesenhahn
[email-masked], http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/